[Emulatoren]


[Lakka - 6.1.0]
try:
download 'https://cdn.niklascfw.de/switch/pack/os/lakka.zip' '/config/ultrahand/downloads/lakka.zip'
unzip '/config/ultrahand/downloads/lakka.zip' '/'
delete '/config/ultrahand/downloads/lakka.zip'

[melonDS - 7.2.1]
try:
download https://api.github.com/repos/ArcDelta/melonDS/releases?per_page=1 /config/ultrahand/downloads/melonds-api.json
json_file /config/ultrahand/downloads/melonds-api.json
download {json_file(0,assets,0,browser_download_url)} /config/ultrahand/downloads/melonds.nro
mv /config/ultrahand/downloads/melonds.nro /switch/melonDS/
delete /config/ultrahand/downloads/melonds-api.json

[mGBA - 0.10.5]
try:
download https://git.niklascfw.de/api/v1/repos/omninx/mGBA/releases?limit=1 /config/ultrahand/downloads/mgba-api.json
json_file /config/ultrahand/downloads/mgba-api.json
download {json_file(0,assets,0,browser_download_url)} /config/ultrahand/downloads/mgba.zip
unzip '/config/ultrahand/downloads/mgba.zip' /
delete /config/ultrahand/downloads/mgba-api.json
delete /config/ultrahand/downloads/mgba.zip

[PPSSPP-NX - 1.19.3]
try:
download https://git.niklascfw.de/api/v1/repos/OmniNX/PPSSPP-NX/releases?limit=1 /config/ultrahand/downloads/ppsspp-nx-api.json
json_file /config/ultrahand/downloads/ppsspp-nx-api.json
download {json_file(0,assets,0,browser_download_url)} /config/ultrahand/downloads/ppsspp-nx.zip
unzip '/config/ultrahand/downloads/ppsspp-nx.zip' '/switch/'
delete /config/ultrahand/downloads/ppsspp-nx-api.json
delete /config/ultrahand/downloads/ppsspp-nx.zip

[RetroArch - 1.22.2]
try:
download 'https://cdn.niklascfw.de/switch/pack/apps/RetroArch_1.22.2.zip' '/config/ultrahand/downloads/RetroArch_1.22.2.zip'
unzip '/config/ultrahand/downloads/RetroArch_1.22.2.zip' '/'
delete '/config/ultrahand/downloads/RetroArch_1.22.2.zip'

